# ReflectionProperty::isPublic

(PHP 5, PHP 7)

ReflectionProperty::isPublic — Checks if property is public

### Description

public ReflectionProperty::isPublic ( void ) : bool

Checks whether the property is public.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the property is public, `FALSE` otherwise.

### See Also

- ReflectionProperty::isProtected() - Checks if property is protected
- ReflectionProperty::isPrivate() - Checks if property is private
- ReflectionProperty::isStatic() - Checks if property is static